Package net.sf.saxon.tree.iter

## Class SingleAtomicIterator<T extends AtomicValue>

- java.lang.Object
- - net.sf.saxon.tree.iter.SingletonIterator<T>
  - - net.sf.saxon.tree.iter.SingleAtomicIterator<T>

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`, `LastPositionFinder`, `SequenceIterator`, `AtomicIterator<T>`, `GroundedIterator`, `LookaheadIterator`, `ReversibleIterator`, `UnfailingIterator`

      public class SingleAtomicIterator<T extends AtomicValue>
      extends SingletonIterator<T>
      implements AtomicIterator<T>, ReversibleIterator, LastPositionFinder, GroundedIterator, LookaheadIterator

  SingletonIterator: an iterator over a sequence of zero or one values

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.saxon.om.SequenceIterator

      `SequenceIterator.Property`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleAtomicIterator​(T value)` | Private constructor: external classes should use the factory method

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SingleAtomicIterator<T>` | `getReverseIterator()` | Get a new SequenceIterator that returns the same items in reverse order.

    - ### Methods inherited from class net.sf.saxon.tree.iter.SingletonIterator

      `getLength, getProperties, getResidue, getValue, hasNext, makeIterator, materialize, next, rawIterator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.tree.iter.AtomicIterator

      `next`

    - ### Methods inherited from interface net.sf.saxon.tree.iter.GroundedIterator

      `getResidue, materialize`

    - ### Methods inherited from interface net.sf.saxon.expr.LastPositionFinder

      `getLength`

    - ### Methods inherited from interface net.sf.saxon.tree.iter.LookaheadIterator

      `hasNext`

    - ### Methods inherited from interface net.sf.saxon.om.SequenceIterator

      `close, forEachOrFail, getProperties`

    - ### Methods inherited from interface net.sf.saxon.tree.iter.UnfailingIterator

      `forEach, toList`

- - ### Constructor Detail

    - #### SingleAtomicIterator

          public SingleAtomicIterator​(T value)

      Private constructor: external classes should use the factory method
      Parameters:
        `value` - the item to iterate over

  - ### Method Detail

    - #### getReverseIterator

          public SingleAtomicIterator<T> getReverseIterator()

      Description copied from interface: `ReversibleIterator`
      Get a new SequenceIterator that returns the same items in reverse order. If this SequenceIterator is an AxisIterator, then the returned SequenceIterator must also be an AxisIterator.
      Specified by:
        `getReverseIterator` in interface `ReversibleIterator`
      Overrides:
        `getReverseIterator` in class `SingletonIterator<T extends AtomicValue>`
      Returns:
        an iterator over the items in reverse order